using System.ComponentModel;

namespace RB_MES_API.Models.Cloud
{
    public class BD_Material
    {
        [DisplayName("物料内码")]
        public long FMaterialID { get; set; }
        [DisplayName("物料编码")]
        public string FNumber { get; set; } = string.Empty;
        [DisplayName("物料名称")]
        public string FName { get; set; } = string.Empty;
        //[DisplayName("禁用")]
        //public string FForbidStatus { get; set; } = "N";
        [DisplayName("库存单位ID")]
        public long FStoreUnitID { get; set; }
        [DisplayName("基本单位ID")]
        public long FBaseUnitId { get; set; }
        [DisplayName("库存单位编码")]
        public string FUnitNumber { get; set; } = string.Empty;
        [DisplayName("基本单位编码")]
        public string FBaseUnitNumber { get; set; } = string.Empty;
        [DisplayName("物料版本号")]
        public string F_PKGR_ITEMVERSION { get; set; } = string.Empty;

    }
}
